-- | Dynamic constants.
module Music.LilyPond.Light.Constant.Dynamic where

import Music.LilyPond.Light.Model
import Music.Theory.Dynamic_Mark {- hmt -}

pppp,ppp,pp,p,mp,mf,f,ff,fff,ffff,fp,sfz :: Annotation
pppp = Dynamic (Dynamic_Mark PPPP)
ppp = Dynamic (Dynamic_Mark PPP)
pp = Dynamic (Dynamic_Mark PP)
p = Dynamic (Dynamic_Mark P)
mp = Dynamic (Dynamic_Mark MP)
mf = Dynamic (Dynamic_Mark MF)
f = Dynamic (Dynamic_Mark F)
ff = Dynamic (Dynamic_Mark FF)
fff = Dynamic (Dynamic_Mark FFF)
ffff = Dynamic (Dynamic_Mark FFFF)
fp = Dynamic (Dynamic_Mark FP)
sfz = Dynamic (Dynamic_Mark SFZ)

cresc,decr,end_cresc,end_decr,espressivo :: Annotation
cresc = Dynamic (Hairpin Crescendo)
decr = Dynamic (Hairpin Diminuendo)
end_cresc = Dynamic (Hairpin End_Hairpin)
end_decr = Dynamic (Hairpin End_Hairpin)
espressivo = Dynamic Espressivo
